--tip
local function deprecatedTip(old_name,new_name)
    print("\n********** \n"..old_name.." was deprecated please use ".. new_name .. " instead.\n**********")
end

--functions of SimpleAudioEngine will be deprecated begin
local SimpleAudioEngineDeprecated = { }
function SimpleAudioEngineDeprecated.sharedEngine()
    deprecatedTip("SimpleAudioEngine:sharedEngine","SimpleAudioEngine:getInstance")
    return cc.SimpleAudioEngine:getInstance()
end
rawset(SimpleAudioEngine,"sharedEngine",SimpleAudioEngineDeprecated.sharedEngine)

function SimpleAudioEngineDeprecated.playBackgroundMusic(self,...)
    deprecatedTip("SimpleAudioEngine:playBackgroundMusic","SimpleAudioEngine:playMusic")
    return self:playMusic(...)
end
rawset(SimpleAudioEngine,"playBackgroundMusic",SimpleAudioEngineDeprecated.playBackgroundMusic)

--Add+ jian rong 2.x 20140929
function SimpleAudioEngineDeprecated.pauseBackgroundMusic(self)
    deprecatedTip("SimpleAudioEngine:pauseBackgroundMusic","SimpleAudioEngine:pauseMusic")
    return self:pauseMusic()
end
rawset(SimpleAudioEngine,"pauseBackgroundMusic",SimpleAudioEngineDeprecated.pauseBackgroundMusic)

function SimpleAudioEngineDeprecated.resumeBackgroundMusic(self)
    deprecatedTip("SimpleAudioEngine:resumeBackgroundMusic","SimpleAudioEngine:resumeMusic")
    return self:resumeMusic()
end
rawset(SimpleAudioEngine,"resumeBackgroundMusic",SimpleAudioEngineDeprecated.resumeBackgroundMusic)

function SimpleAudioEngineDeprecated.stopBackgroundMusic(self)
    deprecatedTip("SimpleAudioEngine:stopBackgroundMusic","SimpleAudioEngine:stopMusic")
    return self:stopMusic()
end
rawset(SimpleAudioEngine,"stopBackgroundMusic",SimpleAudioEngineDeprecated.stopBackgroundMusic)

function SimpleAudioEngineDeprecated.isBackgroundMusicPlaying(self)
    deprecatedTip("SimpleAudioEngine:isBackgroundMusicPlaying","SimpleAudioEngine:isMusicPlaying")
    return self:isMusicPlaying()
end
rawset(SimpleAudioEngine,"isBackgroundMusicPlaying",SimpleAudioEngineDeprecated.isBackgroundMusicPlaying)

--Add- jian rong 2.x 20140929
--functions of SimpleAudioEngine will be deprecated end
