--Ver:1.0

function copyright_script_floatIn(args)
    local scope = args["scope"]
    local duration = args["duration"]
    local positionx = args["positionx"]
    local positiony = args["positiony"]
    local delay = args["delay"]
    local resetAfter = args["resetAfter"]

    --CCLuaLog("floatIn")
    --scope:setVisible(true);
    --延迟
    local delayAction = nil
    if delay ~= nil then
        delayAction = CCDelayTime:create(delay:floatValue())
    end
    --scope:setVisible(true);
    local moveAction = CCMoveTo:create(duration:floatValue(),CCPoint(positionx:floatValue(),positiony:floatValue()))
    -- 淡入
    local fadeInAction = CCFadeIn:create(duration:floatValue())
    local fadeForeverAction = nil
    local repeatFadeInAction = nil
    fadeForeverAction = CCRepeatForever:create(fadeInAction)
   --CCSpawn
    --重复
    local repeatAction = nil
    local repeatForeverAction = nil
    local rCount = 1
        
        if rCount > 0 then
            repeatAction = CCRepeat:create(moveAction, rCount)
            repeatFadeInAction = CCRepeat:create(fadeInAction, rCount)
        elseif rCount < 0 then
            repeatForeverAction = CCRepeatForever:create(moveAction)
            fadeForeverAction = CCRepeatForever:create(fadeInAction)
        end
    local actionList = CCArray:create()

    if delayAction ~= nil then
       actionList:addObject(delayAction)
       if repeatAction ~= nil then
       local arrayAction =  CCArray:create()
       arrayAction:addObject(repeatFadeInAction)
       arrayAction:addObject(repeatAction)
          local visibleFunc = CCCallFunc:create(
               function()
               scope:setVisible(true);
               end
               )
          actionList:addObject(visibleFunc);
       actionList:addObject(CCSpawn:create(arrayAction))
       elseif repeatForeverAction~=nil then --循环
            local delayEnd = CCCallFunc:create(
                function()
                    scope:setVisible(true);
                    scope:runAction(CCRepeatForever:create(CCMoveTo:create(duration:floatValue(),CCPoint(positionx:floatValue(),positiony:floatValue()))))
                    --淡入             
                    local foreverAction = CCRepeatForever:create(CCFadeIn:create(duration:floatValue()))
                   scope:runAction(foreverAction)
                end
            )
          actionList:addObject(delayEnd)
       else
          actionList:addObject(moveAction)
       end
    else
       if repeatAction ~= nil then
          actionList:addObject(repeatAction)
       elseif repeatForeverAction~=nil then
          scope:runAction(repeatForeverAction)
          scope:runAction(fadeForeverAction)
       else
          actionList:addObject(moveAction)
       end
    end

    --恢复开始样子
    if repeatForeverAction == nil and resetAfter:getCString() == "true" then
        local positionx1 = scope:getPositionX()
        local positiony1 = scope:getPositionY()
        local state = scope:getOpacity()
        local resetAfterAction = CCCallFunc:create(
            function()
                scope:setPosition(positionx1,positiony1)
                scope:setOpacity(state)
             end
         )
        
         actionList:addObject(resetAfterAction)
    end
    if actionList:count() ~= 0 then
        local actionSeq = CCSequence:create(actionList)
        scope:runAction(actionSeq)
    end
    -- scope:runAction(fadeInAction)
end
