/**
 * @fileoverview This file is to be used for listing all functions and
 *               properties of JavaScript objects: Multimedia.
 * @version 0.1
 */

/**
 * @class Multimedia is the container object for JIL Multimedia objects <br>
 * <br>
 * Multimedia is a sub-object of <I>Widget</I>. Multimedia is accessed
 * directly from the object: Widget.Multimedia.XXX<br>
 * <br>
 * Support media format:<br>
 * Audio: MP3, AAC, AAC+ v1/v2, AMR-NB, AMR-WB<br>
 * Video: MPEG4, H.263, H.264<br>
 * Streaming: All above audio/video codec in 3GPP file formats<br>
 * Image: JPEG, PNG, GIF
 */
function Multimedia()
{
}

Multimedia.prototype = new Widget();